Question

package invalid

Hi thanks in advance for help. Motorola RAZR I (XT890) Android 4.0.4 No modifications Tried download from google play and mozilla site on each time get downloading then a package invalid error. Says app compatible with my t-mobile XT890


Any suggestion?

↓ Show more ↑ Show less
  • All posts
  • Helpful Solutions
  • post
  • owner
  • owner
  • post
  • solution
  • post
  • owner
  • post
  • post